Xerces Native Interface: Interface XMLDTDHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni
Interface XMLDTDHandler

All Known Subinterfaces:
  XMLDTDFilter

public interface XMLDTDHandler

The DTD handler interface defines callback methods to report information items in the DTD of an XML document. Parser components interested in DTD information implement this interface and are registered as the DTD handler on the DTD source.

Version:
  $Id: XMLDTDHandler.java,v 1.11 2002/12/07 00:07:51 neilg Exp $
Author:
  Andy Clark, IBM
See Also:
  `XMLDTDContentModelHandler`

Field Summary
`static short` | `CONDITIONAL_IGNORE` Conditional section: IGNORE.
`static short` | `CONDITIONAL_INCLUDE` Conditional section: INCLUDE.

Method Summary
`void` | `attributeDecl(java.lang.String elementName, java.lang.String attributeName, java.lang.String type, java.lang.String[] enumeration, java.lang.String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augmentations)` An attribute declaration.
`void` | `comment(XMLString text, Augmentations augmentations)` A comment.
`void` | `elementDecl(java.lang.String name, java.lang.String contentModel, Augmentations augmentations)` An element declaration.
`void` | `endAttlist(Augmentations augmentations)` The end of an attribute list.
`void` | `endConditional(Augmentations augmentations)` The end of a conditional section.
`void` | `endDTD(Augmentations augmentations)` The end of the DTD.
`void` | `endExternalSubset(Augmentations augmentations)` The end of the DTD external subset.
`void` | `endParameterEntity(java.lang.String name, Augmentations augmentations)` This method notifies the end of a parameter entity.
`void` | `externalEntityDecl(java.lang.String name, XMLResourceIdentifier identifier, Augmentations augmentations)` An external entity declaration.
`XMLDTDSource` | `getDTDSource()`
`void` | `ignoredCharacters(XMLString text, Augmentations augmentations)` Characters within an IGNORE conditional section.
`void` | `internalEntityDecl(java.lang.String name, XMLString text, XMLString nonNormalizedText, Augmentations augmentations)` An internal entity declaration.
`void` | `notationDecl(java.lang.String name, XMLResourceIdentifier identifier, Augmentations augmentations)` A notation declaration
`void` | `processingInstruction(java.lang.String target, XMLString data, Augmentations augmentations)` A processing instruction.
`void` | `setDTDSource(XMLDTDSource source)`
`void` | `startAttlist(java.lang.String elementName, Augmentations augmentations)` The start of an attribute list.
`void` | `startConditional(short type, Augmentations augmentations)` The start of a conditional section.
`void` | `startDTD(XMLLocator locator, Augmentations augmentations)` The start of the DTD.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augmentations)` The start of the DTD external subset.
`void` | `startParameterEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding, Augmentations augmentations)` This method notifies of the start of a parameter entity.
`void` | `textDecl(java.lang.String version, java.lang.String encoding, Augmentations augmentations)` Notifies of the presence of a TextDecl line in an entity.
`void` | `unparsedEntityDecl(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String notation, Augmentations augmentations)` An unparsed entity declaration.

Field Detail

### CONDITIONAL_INCLUDE

    public static final short CONDITIONAL_INCLUDE

  Conditional section: INCLUDE.
  See Also:
    `CONDITIONAL_IGNORE`

### CONDITIONAL_IGNORE

    public static final short CONDITIONAL_IGNORE

  Conditional section: IGNORE.
  See Also:
    `CONDITIONAL_INCLUDE`

Method Detail

### startDTD

    public void startDTD(XMLLocator locator,
                         Augmentations augmentations)
                  throws XNIException

  The start of the DTD.
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of the document DTD. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier of the DTD.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startParameterEntity

    public void startParameterEntity(java.lang.String name,
                                     XMLResourceIdentifier identifier,
                                     java.lang.String encoding,
                                     Augmentations augmentations)
                              throws XNIException

  This method notifies of the start of a parameter entity. The parameter entity name start with a '%' character.
  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### textDecl

    public void textDecl(java.lang.String version,
                         java.lang.String encoding,
                         Augmentations augmentations)
                  throws XNIException

  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method is only called for external parameter entities referenced in the DTD.

  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endParameterEntity

    public void endParameterEntity(java.lang.String name,
                                   Augmentations augmentations)
                            throws XNIException

  This method notifies the end of a parameter entity. Parameter entity names begin with a '%' character.
  Parameters:
    `name` - The name of the parameter entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startExternalSubset

    public void startExternalSubset(XMLResourceIdentifier identifier,
                                    Augmentations augmentations)
                             throws XNIException

  The start of the DTD external subset.
  Parameters:
    `identifier` - The resource identifier.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endExternalSubset

    public void endExternalSubset(Augmentations augmentations)
                           throws XNIException

  The end of the DTD external subset.
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augmentations)
                 throws XNIException

  A comment.
  Parameters:
    `text` - The text in the comment.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      XMLString data,
                                      Augmentations augmentations)
                               throws XNIException

  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String contentModel,
                            Augmentations augmentations)
                     throws XNIException

  An element declaration.
  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startAttlist

    public void startAttlist(java.lang.String elementName,
                             Augmentations augmentations)
                      throws XNIException

  The start of an attribute list.
  Parameters:
    `elementName` - The name of the element that this attribute list is associated with.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### attributeDecl

    public void attributeDecl(java.lang.String elementName,
                              java.lang.String attributeName,
                              java.lang.String type,
                              java.lang.String[] enumeration,
                              java.lang.String defaultType,
                              XMLString defaultValue,
                              XMLString nonNormalizedDefaultValue,
                              Augmentations augmentations)
                       throws XNIException

  An attribute declaration.
  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION" or "NOTATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endAttlist

    public void endAttlist(Augmentations augmentations)
                    throws XNIException

  The end of an attribute list.
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   XMLString text,
                                   XMLString nonNormalizedText,
                                   Augmentations augmentations)
                            throws XNIException

  An internal entity declaration.
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   Augmentations augmentations)
                            throws XNIException

  An external entity declaration.
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this external entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   XMLResourceIdentifier identifier,
                                   java.lang.String notation,
                                   Augmentations augmentations)
                            throws XNIException

  An unparsed entity declaration.
  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this unparsed entity declaration.
    `notation` - The name of the notation.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### notationDecl

    public void notationDecl(java.lang.String name,
                             XMLResourceIdentifier identifier,
                             Augmentations augmentations)
                      throws XNIException

  A notation declaration
  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startConditional

    public void startConditional(short type,
                                 Augmentations augmentations)
                          throws XNIException

  The start of a conditional section.
  Parameters:
    `type` - The type of the conditional section. This value will either be CONDITIONAL_INCLUDE or CONDITIONAL_IGNORE.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `CONDITIONAL_INCLUDE`, `CONDITIONAL_IGNORE`

### ignoredCharacters

    public void ignoredCharacters(XMLString text,
                                  Augmentations augmentations)
                           throws XNIException

  Characters within an IGNORE conditional section.
  Parameters:
    `text` - The ignored text.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endConditional

    public void endConditional(Augmentations augmentations)
                        throws XNIException

  The end of a conditional section.
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDTD

    public void endDTD(Augmentations augmentations)
                throws XNIException

  The end of the DTD.
  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### setDTDSource

    public void setDTDSource(XMLDTDSource source)

### getDTDSource

    public XMLDTDSource getDTDSource()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.